<template>
  <div class="body">
    <h1 class="text-center mt-10 text-4xl">
      Entregas del  {{ responseCurso.nombre }}
    </h1>
    <div class="bg-secondary m-auto w-2/4 rounded-3xl min-h-min">
      <h1 class="text-center mt-10 text-3xl">
        {{ responseAsig.tipoAsignatura }}
      </h1>
    </div>
    <div class="text-sm breadcrumbs ml-12 mt-10">
    <ul>
      <li>
        <a
          @click="
            $router.push({
              path: elegirAsignaturaURL,
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Elegir Asignatura
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: elegirCursoURL,
              query: { asig_id: this.$route.query.asig_id },
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
         Elegir Curso
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: listaTareasURL,
              query: { asig_id: this.$route.query.asig_id, curso_id: this.$route.query.curso_id },
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Lista Tareas
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: detalleTareaURL,
              query: { asig_id: this.$route.query.asig_id, curso_id: this.$route.query.curso_id,tarea_id:this.$route.query.tarea_id },
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Detalle Tarea
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: entregasTareaURL,
              query: { asig_id: this.$route.query.asig_id, curso_id: this.$route.query.curso_id,tarea_id:this.$route.query.tarea_id },
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Entregas Tarea
        </a>
      </li>
      
      
    </ul>
  </div>
    <h1 class="text-center mt-10 text-3xl">
    {{ responseTarea.nombreTarea }}
    </h1>

    <div class="overflow-x-auto w-full text-center">
      <table v-if="entregas.length > 0" class="table w-4/6 mt-14 m-auto">
        <!-- head -->
        <thead>
          <tr>
            <th>
              <label>
                <input type="checkbox" class="checkbox" />
              </label>
            </th>
            <th>Nombre</th>
            <th>Descripción</th>
            <th>Fecha Entrega</th>

          </tr>
        </thead>
        <tbody v-for="entrega in entregas" :key="entrega.entregableId">
          <tr
            class="hover"
            @click="
              $router.push({
                path: 'DetalleEntrega',
                query: {
                  asig_id: routeasign,
                  curso_id: route,
                  tarea_id: queryTarea,
                  entrega_id: entrega.entregableId,
                },
              })
            "
          >
            <th>
              <label>
                <input type="checkbox" class="checkbox" />
              </label>
            </th>
            <td>
              <div class="flex items-center space-x-3">
                <div>
                  <div class="font-bold">
                    {{ entrega.nombreTareaEntregada }}
                  </div>
                </div>
              </div>
            </td>
            <td class="w-44">
              {{ entrega.descEntrega.substring(0, 50) + "..." }}

              <br />
            </td>
            <td>{{ entrega.fechaEntrega.substring(0, 10) }}</td>
          </tr>
        </tbody>

        <tfoot>
          <tr>
            <th></th>
            <th>NOMBRE TAREA</th>
            <th>Descripción</th>
            <th>Fecha Entregada</th>

          </tr>
        </tfoot>
      </table>
      <div
        v-else
        class="text-center bg-error w-2/4 m-auto rounded-xl h-auto items-align-center align-middle"
      >
        <h1 class="text-2xl mt-24 font-bold">
          No se encuentran entregas de "{{ responseTarea.nombreTarea }}" en el
          curso seleccionado
        </h1>
      </div>
    </div>
  </div>
</template>
<script>
import axios from "axios";
export default {
  components: {},
  data() {
    return {
      route: this.$route.query.curso_id,
      routeasign: this.$route.query.asig_id,
      queryTarea: this.$route.query.tarea_id,
      entregas: [],
      responseAsig: [],
      responseTarea: [],
      responseCurso: [],
      asig: [],
      elegirAsignaturaURL:"",
      elegirCursoURL:"",
      listaTareasURL:"",
      detalleTareaURL:"",
      entregasTareaURL:""

    };
  },

  mounted() {
    let ruta = this.$route.path;
    console.log(this.$route.path);

    let vue = this;
    const peticion = this.$route.query.asig_id;
    const peticionTarea = this.$route.query.tarea_id;
    const peticionCurso = this.$route.query.curso_id;

    axios
      .get("entregable/listarEntregablesAsociadosTarea/" + this.queryTarea, {
        headers: {
          Authorization: localStorage.getItem("auth"),
        },
      })
      .then((response) => {
        this.msg = response.data;
        vue.entregas = response.data;

        console.log(this.msg);
      });
    axios
      .get(
        "/administracionCursos/mostrarAsignaturasCurso/" +
          this.$route.query.curso_id,
        {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        }
      )
      .then((res) => {
        this.msg = res.data;
        vue.asig = res.data;
        vue.asig.forEach(function (valor, indice, array) {
          if (peticion == res.data[indice].asigId) {
            vue.responseAsig = res.data[indice];
          }
        });

        console.log(response.data.asignaturas[indice]);

        this.fechaEntrega = this.fecha + this.hora;
      })
      .catch((err) => {
        console.log("index not defined");
      });

    axios
      .get("tarea/mostrarTarea", {
        headers: {
          Authorization: localStorage.getItem("auth"),
        },
      })
      .then((response) => {
        vue.responseTarea = response.data;
        console.log(response.data);

        vue.responseTarea.forEach(function (valor, indice, array) {
          if (peticionTarea == response.data[indice].tareaId) {
            vue.responseTarea = response.data[indice];
          }
        });
      });
    axios
      .get("adminitracionCursos/buscarCursos", {
        headers: {
          Authorization: localStorage.getItem("auth"),
        },
      })
      .then((response) => {
        vue.responseCurso = response.data;
        console.log(vue.responseCurso);
        vue.responseCurso.forEach(function (valor, indice, array) {
          if (peticionCurso == response.data[indice].cursoId) {
            vue.responseCurso.nombre = response.data[indice].nombre;
          }
        });
      });
      axios
        .get("cuentas/usuario", {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        })
        .then((resp) => {

          if (resp.data.rol == "DOCENTE") {
            this.elegirAsignaturaURL=
              "/ElegirAsignatura";
            this.elegirCursoURL=
            "/ElegirCurso";
            this.listaTareasURL=
            "/ListaTareasDocente";
            this.detalleTareaURL=
            "/DetalleTareaDocente";
            this.entregasTareaURL=
            "/ListaEntregasDocente"
          } else if (resp.data.rol == "ALUMNO") {
            this.elegirAsignaturaURL=
              "/ElegirAsignaturaAlumno";
            this.listaTareasURL=
            "/ListaTareasEstudiante";
            this.detalleTareaURL=
            "/DetalleTareaEstudiante";
            this.entregasTareaURL=
            "/ListaEntregasDocente"
          }

        });
  },
};
</script>
<style>
.body {
  height: 100vh;
}
</style>
